List interactions

View as Markdown
Retrieve all interactions occurring with the Moveworks AI Assistant.

Authentication

Authorizationstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

$filterstringOptional
This option allows the client to filter the resource that is address by request URL
$selectstringOptional
This option allow the client to request a limited set of properties of an entity
$orderbystringOptional
This option allow the client to request resources in either ascending or descending order
$topintegerOptional
This option request the number of items to be included in the result
$skipintegerOptional
This query option requests the number of items in the queried collection that are to be skipped and not included in the result.
$countbooleanOptional
This option allows clients to request a count of the matching resources included with the resources in the result

Response

Successfully retrieved list of interactions
@odata.contextstring
URL to the metadata of the response.
valuelist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error